{% include 'base.html' %}
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'style.css' %}">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>Susun Deadline</title>
    <style>
        #jumbo-index .jumbotron{
            background-size: cover;
            background-position: center;
            height: 650px;
            width: 100%;
        }
    </style>
</head>
<body>
    <section id="jumbo-index">
        <div class="jumbotron jumbotron-fluid">
            <div class="container">
            {% if user.is_authenticated %}
                <div class="container-fluid" style="margin-top: 30px;">
                    <div class="container text-blue" style="height: 640px;">
                        <h1>Ringkasan Tugas</h1>
                        <form action="" method="GET">
                            <input id='search' type="text" placeholder="ketik tugas" name="search">
                            <br>
                            <input type="submit" value="Cari">
                        </form>
                        {% if query %}
                        <div style="width: 70%; max-width: 892px;">
                            <p class="title" style="font-size: 35px;">Hasil pencarian tugas</p>
                            <p class="title" style="font-size: 25px;">"{{ query }}"</p>
                                {% if hasil == 'Tidak ditemukan' %}
                                    <p style="text-align: center;">Tidak Ditemukan</p>
                                {% else %}
                                    {% for tugas in hasil %}
                                    <tr class="table text-blue text-center">
                                    <td> {{tugas.namaMatkul}} </td>
                                    <td> {{tugas.namaTugas}} </td>
                                    <td> {{tugas.Deadline}} </td>
                                    <td> {{tugas.semester}} </td>
                                    </tr> 
                                    {% endfor %}
                                {% endif %}
                    </div>
                    {% endif %}
                </div>
            {% else %}
                <section name="form">
                    <div class="container-fluid">
                        <div class="container text-blue" style="height: 670px;">
                            <h1>Ringkasan Tugas</h1>
                            <h2>Harap Log In terlebih dahulu</h2>
                            <a class="btn btn-primary mt-2" href="{% url 'home:login' %}">Log In</a>
                        </div>
                    </div> 
                </section>
            {% endif %}
            </div>
        </div>
    </section>
</body>
</html>
